edu.isi.pegasus.planner.refiner.createdir

## Interface Strategy

All Known Implementing Classes:
  AbstractStrategy, HourGlass, Minimal, Tentacles

    public interface Strategy

The interface that defines how the cleanup job is invoked and created.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `VERSION` The version number associated with this API Cleanup Strategy.

### Method Summary

All Methods Instance Methods Abstract Methods
`ADag` `addCreateDirectoryNodes(ADag dag)` Modifies the workflow to add create directory nodes.
`void` `initialize(PegasusBag bag, Implementation impl)` Intializes the class.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version number associated with this API Cleanup Strategy.

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize(PegasusBag bag,
                    Implementation impl)

Intializes the class.

Parameters:
  `bag` - bag of initialization objects
  `impl` - the implementation instance that creates create dir job

#### addCreateDirectoryNodes

    ADag addCreateDirectoryNodes(ADag dag)

Modifies the workflow to add create directory nodes. The workflow passed is a worklow, where the jobs have been mapped to sites.

Parameters:
  `dag` - the workflow to which the nodes have to be added.
Returns:
  the added workflow